ck_c_initialize_args Struct Reference

`#include <pkcs11.h>`

## Data Fields

ck_createmutex_t | create_mutex
ck_destroymutex_t | destroy_mutex
ck_lockmutex_t | lock_mutex
ck_unlockmutex_t | unlock_mutex
ck_flags_t | flags
void * | reserved

## Detailed Description

Definition at line 1093 of file pkcs11.h.

## Field Documentation

## create_mutex

ck_createmutex_t ck_c_initialize_args::create_mutex

Definition at line 1095 of file pkcs11.h.

## destroy_mutex

ck_destroymutex_t ck_c_initialize_args::destroy_mutex

Definition at line 1096 of file pkcs11.h.

## flags

ck_flags_t ck_c_initialize_args::flags

Definition at line 1099 of file pkcs11.h.

## lock_mutex

ck_lockmutex_t ck_c_initialize_args::lock_mutex

Definition at line 1097 of file pkcs11.h.

## reserved

void* ck_c_initialize_args::reserved

Definition at line 1100 of file pkcs11.h.

## unlock_mutex

ck_unlockmutex_t ck_c_initialize_args::unlock_mutex

Definition at line 1098 of file pkcs11.h.

The documentation for this struct was generated from the following file:

- src/lib/cryptoki_compat/pkcs11.h